# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/shangfeng

# condition
spel:
  scheduling: true        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://127.0.0.1:1433;SelectMethod=cursor;DatabaseName=UFDATA_003_2022
    username: sa
    password: Sa123456
  # JPA
  jpa:
    database: sql_server
    properties:
      hibernate:
        default_schema: dbo

# dingtalk
dingtalk:
  agentId: 2666532993
  appKey: dingu7ez7flr7qato6z1
  appSecret: utUxpNRHWnvk_A9f25P7KLY9HCULPctLLfutXo24C2D8NWLXGepY86572C98RfLT
  corpId: ding4c21a1403de71296a1320dcb25e91351
  aesKey:
  token:
  operator: "170820203423316720"   # 孙杰奇 OA管理员账号 [0开头需要转一下字符串]